curl --request POST \
--url https://api.comfy.org/proxy/sonilo/v2m/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'video=<string>' \
--form 'prompt=<string>' \
--form 0.video='@example-file'{
"copy_index": 1,
"display_tags": [
"<string>"
],
"prompt_index": 1,
"stream_index": 1,
"title": "<string>",
"type": "title"
}Generate music from a video using Sonilo video-to-music AI. Accepts either a video file upload or a video URL, with an optional prompt. Returns a streaming NDJSON response with duration, titles, audio chunks, and completion events. Max video duration: 6 minutes. Max upload size: 1024MB.
curl --request POST \
--url https://api.comfy.org/proxy/sonilo/v2m/generate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form 'video=<string>' \
--form 'prompt=<string>' \
--form 0.video='@example-file'{
"copy_index": 1,
"display_tags": [
"<string>"
],
"prompt_index": 1,
"stream_index": 1,
"title": "<string>",
"type": "title"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
OK - Streaming NDJSON response with audio generation events
A single NDJSON event from the Sonilo streaming response.
Was this page helpful?